use bible;

DROP TABLE ylt_books;

CREATE TABLE ylt_books
(
   book_number             TINYINT(2) UNSIGNED NOT NULL PRIMARY KEY,
   book_title              VARCHAR(100) NOT NULL,
   generic_title           VARCHAR(25) NOT NULL,
   book_abbreviation       VARCHAR(5) NOT NULL,
   number_of_chapters      TINYINT UNSIGNED NOT NULL
);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (1,'Genesis','Genesis','Ge',50);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (2,'Exodus','Exodus','Ex',40);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (3,'Leviticus','Leviticus','Le',27);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (4,'Numbers','Numbers','Nu',36);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (5,'Deuteronomy','Deuteronomy','De',34);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (6,'Joshua','Joshua','Jos',24);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (7,'Judges','Judges','Jud',21);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (8,'Ruth','Ruth','Ru',4);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (9,'1 Samuel','1 Samuel','1 S',31);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (10,'2 Samuel','2 Samuel','2 S',24);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (11,'1 Kings','1 Kings','1 K',22);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (12,'2 Kings','2 Kings','2 K',25);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (13,'1 Chronicles','1 Chronicles','1 Chr',29);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (14,'2 Chronicles','2 Chronicles','2 Chr',36);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (15,'Ezra','Ezra','Ezr',10);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (16,'Nehemiah','Nehemiah','Ne',13);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (17,'Esther','Esther','Est',10);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (18,'Job','Job','Jb',42);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (19,'Psalms','Psalms','Ps',150);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (20,'Proverbs','Proverbs','Pr',31);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (21,'Ecclesiastes','Ecclesiastes','Ec',12);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (22,'Song of Solomon','Solomon','Song',8);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (23,'Isaiah','Isaiah','Is',66);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (24,'Jeremiah','Jeremiah','Je',52);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (25,'Lamentations','Lamentations','Lam',5);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (26,'Ezekiel','Ezekiel','Eze',48);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (27,'Daniel','Daniel','Da',12);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (28,'Hosea','Hosea','Ho',14);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (29,'Joel','Joel','Joel',3);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (30,'Amos','Amos','Am',9);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (31,'Obadiah','Obadiah','Obad',1);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (32,'Jonah','Jonah','Jona',4);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (33,'Micah','Micah','Mi',7);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (34,'Nahum','Nahum','Na',3);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (35,'Habakkuk','Habakkuk','Hab',3);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (36,'Zephaniah','Zephaniah','Zep',3);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (37,'Haggai','Haggai','Hag',2);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (38,'Zechariah','Zechariah','Zec',14);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (39,'Malachi','Malachi','Mal',4);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (40,'Matthew','Matthew','Mt',28);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (41,'Mark','Mark','Mk',16);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (42,'Luke','Luke','Lu',24);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (43,'John','John','Jn',21);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (44,'Acts','Acts','Ac',28);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (45,'Romans','Romans','Ro',16);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (46,'1 Corinthians','1 Corinthians','1 Co',16);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (47,'2 Corinthians','2 Corinthians','2 Co',13);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (48,'Galatians','Galatians','Ga',6);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (49,'Ephesians','Ephesians','Ep',6);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (50,'Philippians','Philippians','Ph',4);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (51,'Colossians','Colossians','Col',4);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (52,'1 Thessalonians','1 Thessalonians','1 Th',5);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (53,'2 Thessalonians','2 Thessalonians','2 Th',3);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (54,'1 Timothy','1 Timothy','1 Ti',6);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (55,'2 Timothy','2 Timothy','2 Ti',4);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (56,'Titus','Titus','Tit',3);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (57,'Philemon','Philemon','Phm',1);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (58,'Hebrews','Hebrews','He',13);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (59,'James','James','Ja',5);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (60,'1 Peter','1 Peter','1 Pe',5);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (61,'2 Peter','2 Peter','2 Pe',3);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (62,'1 John','1 John','1 Jn',5);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (63,'2 John','2 John','2 Jn',1);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (64,'3 John','3 John','3 Jn',1);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (65,'Jude','Jude','Jude',1);

INSERT INTO ylt_books
(book_number, book_title, generic_title, book_abbreviation, number_of_chapters)
VALUES (66,'Revelation','Revelation','Re',22);

DESCRIBE ylt_books;
